package cn.com.poc.ai_dialogues.entity;


public class BizAiDialoguesEntity {

    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private java.lang.Long id;

    public java.lang.Long getId() {
        return this.id;
    }

    public void setId(java.lang.Long id) {
        this.id = id;
    }

    /**
     * dialogues_id
     * 对话ID
     */
    private java.lang.String dialoguesId;

    public java.lang.String getDialoguesId() {
        return this.dialoguesId;
    }

    public void setDialoguesId(java.lang.String dialoguesId) {
        this.dialoguesId = dialoguesId;
    }


    /**
     * dialogues_type
     * 对话类型
     */
    private java.lang.String dialoguesType;

    public java.lang.String getDialoguesType() {
        return this.dialoguesType;
    }

    public void setDialoguesType(java.lang.String dialoguesType) {
        this.dialoguesType = dialoguesType;
    }


    /**
     * title
     * 标题
     */
    private java.lang.String title;

    public java.lang.String getTitle() {
        return this.title;
    }

    public void setTitle(java.lang.String title) {
        this.title = title;
    }

    /**
     * member_id
     * 用户
     */
    private java.lang.Long memberId;

    public java.lang.Long getMemberId() {
        return this.memberId;
    }

    public void setMemberId(java.lang.Long memberId) {
        this.memberId = memberId;
    }

    /**
     * file_url
     * 文件地址
     */
    private java.lang.String fileUrl;

    public java.lang.String getFileUrl() {
        return this.fileUrl;
    }

    public void setFileUrl(java.lang.String fileUrl) {
        this.fileUrl = fileUrl;
    }

    /**
     * is_deleted
     * 是否删除 1、Y 是 2、N 否
     */
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(java.lang.String isDeleted) {
        this.isDeleted = isDeleted;
    }

    /**
     * CREATOR
     * 创建人
     */
    private java.lang.String creator;

    public java.lang.String getCreator() {
        return this.creator;
    }

    public void setCreator(java.lang.String creator) {
        this.creator = creator;
    }

    /**
     * CREATED_TIME
     * 创建时间
     */
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime() {
        return this.createdTime;
    }

    public void setCreatedTime(java.util.Date createdTime) {
        this.createdTime = createdTime;
    }

    /**
     * MODIFIER
     * 修改人
     */
    private java.lang.String modifier;

    public java.lang.String getModifier() {
        return this.modifier;
    }

    public void setModifier(java.lang.String modifier) {
        this.modifier = modifier;
    }

    /**
     * MODIFIED_TIME
     * 修改时间
     */
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime() {
        return this.modifiedTime;
    }

    public void setModifiedTime(java.util.Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

    /**
     * SYS_VERSION
     * 乐观锁,版本号
     */
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion() {
        return this.sysVersion;
    }

    public void setSysVersion(java.lang.Integer sysVersion) {
        this.sysVersion = sysVersion;
    }
}